<?php
/**
 * Auto_Affiliate_License_Page Class
 *
 * @since  1.0.0
 * @package Auto Affiliate
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! class_exists( 'Auto_Affiliate_License_Page' ) ) :

	class Auto_Affiliate_License_Page extends Auto_Affiliate_Admin_Page {
		/**
         * Add page screen hooks
         *
         * @since 1.0.0
         *
         * @param $hook
         */
        public function enqueue_scripts( $hook ) {
            // Load admin styles
			auto_affiliate_admin_enqueue_styles( AUTO_AFFILIATE_VERSION );

            $auto_affiliate_data = new Auto_Affiliate_Admin_Data();

        	// Load admin scripts
        	auto_affiliate_admin_enqueue_scripts_license(
            	AUTO_AFFILIATE_VERSION,
            	$auto_affiliate_data->get_options_data()
        	);
		}

		/**
         * Render page container
         *
         * @since 1.0.0
         */
        public function render() {

            $accessibility_enabled = get_option( 'auto_affiliate_enable_accessibility', false ); ?>

            <main class="affiliate-wrap <?php echo $accessibility_enabled ? 'affiliate-color-accessible' : ''; ?> <?php echo esc_attr( 'auto-affiliate-' . $this->page_slug ); ?>">

                <?php
                $this->render_page_content();
                ?>

            </main>

            <?php
        }
	}

endif;
