<?php
// Count total forms
$count        = $this->countModules();
$count_active = $this->countModules( 'publish' );

// available bulk actions
$bulk_actions = $this->bulk_actions();

$this->template( 'dashboard/widgets/widget-popup' );
?>

<?php if ( $count > 0 ) { ?>

    <!-- START: Bulk actions and pagination -->
    <div class="affiliate-listings-pagination">

        <div class="affiliate-pagination-mobile affiliate-pagination-wrap">
            <span class="affiliate-pagination-results">
                            <?php /* translators: ... */ echo esc_html( sprintf( _n( '%s result', '%s results', $count, Auto_Affiliate::DOMAIN ), $count ) ); ?>
                        </span>
            <?php $this->pagination(); ?>
        </div>

        <div class="affiliate-pagination-desktop affiliate-box">
            <div class="affiliate-box-search">

                <form method="post" name="affiliate-bulk-action-form" class="affiliate-search-left">

                    <input type="hidden" id="auto-affiliate-nonce" name="auto_affiliate_nonce" value="<?php echo wp_create_nonce( 'auto-affiliate-campaign-request' );?>">
                    <input type="hidden" name="_wp_http_referer" value="<?php admin_url( 'admin.php?page=auto-affiliate-campaign' ); ?>">
                    <input type="hidden" name="ids" id="affiliate-select-campaigns-ids" value="">

                    <label for="affiliate-check-all-campaigns" class="affiliate-checkbox">
                        <input type="checkbox" id="affiliate-check-all-campaigns">
                        <span aria-hidden="true"></span>
                        <span class="affiliate-screen-reader-text">Select all</span>
                    </label>

                    <div class="affiliate-select-wrapper">
                        <select name="auto_affiliate_bulk_action" id="bulk-action-selector-top">
                            <option value=""><?php esc_html_e( 'Bulk Action', Auto_Affiliate::DOMAIN ); ?></option>
                            <?php foreach ( $bulk_actions as $val => $label ) : ?>
                                <option value="<?php echo esc_attr( $val ); ?>"><?php echo esc_html( $label ); ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <button class="affiliate-button affiliate-bulk-action-button">Apply</button>

                </form>

                <div class="affiliate-search-right">

                    <div class="affiliate-pagination-wrap">
                        <span class="affiliate-pagination-results">
                            <?php /* translators: ... */ echo esc_html( sprintf( _n( '%s result', '%s results', $count, Auto_Affiliate::DOMAIN ), $count ) ); ?>
                        </span>
                        <?php $this->pagination(); ?>
                    </div>

                </div>

            </div>

        </div>

    </div>
    <!-- END: Bulk actions and pagination -->

    <div class="affiliate-accordion affiliate-accordion-block" id="affiliate-modules-list">

        <?php
        foreach ( $this->getModules() as $module ) {
        ?>
            <div class="affiliate-accordion-item">
                <div class="affiliate-accordion-item-header">

                    <div class="affiliate-accordion-item-title affiliate-trim-title">
                        <label for="wpf-module-<?php echo esc_attr( $module['id'] ); ?>" class="affiliate-checkbox affiliate-accordion-item-action">
                            <input type="checkbox" id="wpf-module-<?php echo esc_attr( $module['id'] ); ?>" class="affiliate-check-single-campaign" value="<?php echo esc_html( $module['id'] ); ?>">
                            <span aria-hidden="true"></span>
                            <span class="affiliate-screen-reader-text"><?php esc_html_e( 'Select this form', Auto_Affiliate::DOMAIN ); ?></span>
                        </label>
                        <span class="affiliate-trim-text">
                            <?php echo auto_affiliate_get_campaign_name( $module['id'] ); ?>
                        </span>
                        <?php
                        if ( 'publish' === $module['status'] ) {
                            echo '<span class="affiliate-tag affiliate-tag-blue">' . esc_html__( 'Published', Auto_Affiliate::DOMAIN ) . '</span>';
                        }
                        ?>

                        <?php
                        if ( 'draft' === $module['status'] ) {
                            echo '<span class="affiliate-tag">' . esc_html__( 'Draft', Auto_Affiliate::DOMAIN ) . '</span>';
                        }
                        ?>
                    </div>

                    <div class="affiliate-accordion-item-date">
                        <strong><?php esc_html_e( 'Last Run', Auto_Affiliate::DOMAIN ); ?></strong>
                        <?php esc_html_e( $module['last_run_time'] ); ?>
                    </div>

                    <div class="affiliate-accordion-col-auto">

                        <a href="<?php echo admin_url( 'admin.php?page=auto-affiliate-campaign-wizard&id=' . $module['id'] ); ?>"
                           class="affiliate-button affiliate-button-ghost affiliate-accordion-item-action affiliate-desktop-visible">
                            <ion-icon name="pencil" class="affiliate-icon-pencil"></ion-icon>
                            <?php esc_html_e( 'Edit', Auto_Affiliate::DOMAIN ); ?>
                        </a>

                        <div class="affiliate-dropdown affiliate-accordion-item-action">
                            <button class="affiliate-button-icon affiliate-dropdown-anchor">
                                <ion-icon name="settings"></ion-icon>
                            </button>
                            <ul class="affiliate-dropdown-list">

                                <li>
                                    <form method="post">
                                        <input type="hidden" name="auto_affiliate_single_action" value="update-status">
                                        <input type="hidden" name="id" value="<?php echo esc_attr( $module['id'] ); ?>">
                                        <?php
                                        if ( 'publish' === $module['status'] ) {
                                            ?>
                                            <input type="hidden" name="status" value="draft">
                                            <?php
                                        }
                                        ?>
                                        <?php
                                        if ( 'draft' === $module['status'] ) {
                                            ?>
                                            <input type="hidden" name="status" value="publish">
                                            <?php
                                        }
                                        ?>
                                        <input type="hidden" id="auto_affiliate_nonce" name="auto_affiliate_nonce" value="<?php echo wp_create_nonce('auto-affiliate-campaign-request'); ?>">
                                        <button type="submit">
                                            <ion-icon class="affiliate-icon-cloud" name="cloud"></ion-icon>
                                            <?php
                                            if ( 'publish' === $module['status'] ) {
                                                echo esc_html__( 'Unpublish', Auto_Affiliate::DOMAIN );
                                            }
                                            ?>

                                            <?php
                                            if ( 'draft' === $module['status'] ) {
                                                echo esc_html__( 'Publish', Auto_Affiliate::DOMAIN );
                                            }
                                            ?>
                                        </button>
                                    </form>
                                </li>

                                <li>
                                    <a href="#delete-popup" class="open-popup-delete" data-effect="mfp-zoom-in">
                                    <button
                                        class="affiliate-option-red affiliate-delete-action"
                                        data-campaign-id="<?php echo esc_attr( $module['id'] ); ?>">
                                        <ion-icon class="affiliate-icon-trash" name="trash"></ion-icon> <?php esc_html_e( 'Delete', Auto_Affiliate::DOMAIN ); ?>
                                    </button>
                                    </a>
                                </li>

                            </ul>
                        </div>

                        <button class="affiliate-button-icon affiliate-accordion-open-indicator" aria-label="<?php esc_html_e( 'Open item', Auto_Affiliate::DOMAIN ); ?>">
                            <ion-icon name="chevron-down"></ion-icon>
                        </button>


                    </div>

                </div>
                <div class="affiliate-accordion-item-body affiliate-campaign-detail-hide">
                    <ul class="affiliate-accordion-item-data">
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Last Run', Auto_Affiliate::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['last_run_time'] ); ?>
                        </li>
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Type', Auto_Affiliate::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['type'] ); ?>
                        </li>
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Keywords', Auto_Affiliate::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['keywords'] ); ?>
                        </li>
                    </ul>
                </div>

            </div>

        <?php

        }

        ?>

    </div>

    <!-- Delete Popup -->

    <div id="delete-popup" class="white-popup mfp-with-anim mfp-hide">

        <div class="affiliate-box" role="document">

            <div class="affiliate-box-header">

                <h3 class="affiliate-box-title" id="dialogTitle"><?php esc_html_e( 'Delete Form', Auto_Affiliate::DOMAIN ); ?></h3>

            </div>

            <div id="2031">

                <div class="affiliate-box-body">
                    <span class="affiliate-description"><?php esc_html_e( 'Are you sure you wish to permanently delete this campaign?', Auto_Affiliate::DOMAIN ); ?></span>
                </div>

                <div class="affiliate-box-footer">
                    <button type="button" class="affiliate-button affiliate-button-ghost affiliate-close-popup" data-a11y-dialog-hide=""><?php esc_html_e( 'Cancel', Auto_Affiliate::DOMAIN ); ?></button>
                    <form method="post" class="delete-action">
                        <input type="hidden" name="auto_affiliate_single_action" value="delete">
                        <input type="hidden" class="affiliate-delete-id" name="id" value="">
                        <input type="hidden" id="auto_affiliate_nonce" name="auto_affiliate_nonce" value="<?php echo wp_create_nonce('auto-affiliate-campaign-request'); ?>">
                        <input type="hidden" name="_wp_http_referer" value="<?php admin_url( 'admin.php?page=auto-affiliate-campaign' ); ?>">
                        <button type="submit" class="affiliate-button affiliate-button-ghost affiliate-button-red">
                            <ion-icon class="affiliate-icon-trash" name="trash"></ion-icon>
                            <?php esc_html_e( 'Delete', Auto_Affiliate::DOMAIN ); ?>
                        </button>
                    </form>
                </div>

            </div></div>

    </div>

<?php } else { ?>
    <div class="affiliate-box affiliate-message affiliate-message-lg">

        <img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/affiliate.png'); ?>" class="affiliate-image affiliate-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Affiliate', Auto_Affiliate::DOMAIN ); ?>">

        <div class="affiliate-message-content">

            <p><?php esc_html_e( 'Create campaign for all your needs with as many article source as you like, include RSS Feed, Social Media, Videos, Images, Sound and etc.', Auto_Affiliate::DOMAIN ); ?></p>

            <p>
                <a href="<?php echo admin_url( 'admin.php?page=auto-affiliate-welcome' ); ?>" class="affiliate-button affiliate-button-blue">
                    <?php esc_html_e( 'Create', Auto_Affiliate::DOMAIN ); ?>
                </a>
            </p>


        </div>

    </div>

<?php } ?>
