<?php
$source = isset( $_GET['source'] ) ? sanitize_text_field( $_GET['source'] ) : 'dashboard';
$id = isset( $_GET['id'] ) ? sanitize_text_field( $_GET['id'] ) : '';
// Campaign Settings
$settings = array();
if(!empty($id)){
    $model    = $this->get_single_model( $id );
    $settings = $model->settings;
    $settings['status'] = $model->status;
}
$affiliate_youtube_source_category = isset( $settings['affiliate_youtube_source_category'] ) ? sanitize_text_field( $settings['affiliate_youtube_source_category'] ) : 'playlist';

?>
<div class="affiliate-row-with-sidenav">

    <div class="affiliate-sidenav">

        <div class="affiliate-mobile-select">
            <span class="affiliate-select-content"><?php esc_html_e( 'General', Auto_Affiliate::DOMAIN ); ?></span>
            <ion-icon name="chevron-down" class="affiliate-icon-down"></ion-icon>
        </div>

        <ul class="affiliate-vertical-tabs affiliate-sidenav-hide-md">

            <li class="affiliate-vertical-tab">
                <a href="#" data-nav="dashboard"><?php esc_html_e( 'General', Auto_Affiliate::DOMAIN ); ?></a>
            </li>

            <li class="affiliate-vertical-tab">
                <a href="#" data-nav="schedule"><?php esc_html_e( 'Schedule', Auto_Affiliate::DOMAIN ); ?></a>
            </li>

            <li class="affiliate-vertical-tab">
                <a href="#" data-nav="post-status"><?php esc_html_e( 'Post Status', Auto_Affiliate::DOMAIN ); ?></a>
            </li>

            <li class="affiliate-vertical-tab">
                <a href="#" data-nav="post-images"><?php esc_html_e( 'Post Images', Auto_Affiliate::DOMAIN ); ?></a>
            </li>

            <li class="affiliate-vertical-tab">
                <a href="#" data-nav="category"><?php esc_html_e( 'Categories & Tags', Auto_Affiliate::DOMAIN ); ?></a>
            </li>

            <?php if($source == 'rss') : ?>
                <li class="affiliate-vertical-tab">
                    <a href="#" data-nav="translation"><?php esc_html_e( 'Translation', Auto_Affiliate::DOMAIN ); ?></a>
                </li>
                <li class="affiliate-vertical-tab">
                    <a href="#" data-nav="rewriter"><?php esc_html_e( 'Rewriter', Auto_Affiliate::DOMAIN ); ?></a>
                </li>
            <?php endif; ?>

        </ul>

        <div class="affiliate-sidenav-settings">
          <a href="#run-campaign-popup" class="open-popup-campaign" data-effect="mfp-zoom-in">
            <button id="affiliate-run-button" class="affiliate-button affiliate-sidenav-hide-md" accesskey="p">
                <?php esc_html_e( 'Run Campaign', Auto_Affiliate::DOMAIN ); ?>
            </button>
          </a>
      </div>

    </div>

    <form class="affiliate-campaign-form" method="post" name="affiliate-campaign-form" action="">

    <div class="affiliate-box-tabs">
        <?php $this->template( 'campaigns/wizard/sections/tab-save',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-schedule',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-dashboard', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-post-content', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-post-status', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-post-images', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-category', $settings); ?>
        <?php
            if($source == 'rss') {
                $this->template( 'campaigns/wizard/sections/tab-translation', $settings);
                $this->template( 'campaigns/wizard/sections/tab-spin-rewriter', $settings);
            }
        ?>
    </div>
        <input type="hidden" name="affiliate_selected_source" value="<?php echo esc_html($source); ?>">
        <input type="hidden" name="campaign_id" value="<?php echo esc_html($id); ?>">
        <input type="hidden" class="affiliate_youtube_source_category" name="affiliate_youtube_source_category" value="<?php echo esc_html($affiliate_youtube_source_category); ?>">
    </form>
</div>

<div id="run-campaign-popup" class="white-popup mfp-with-anim mfp-hide">

		<div class="affiliate-box-header affiliate-block-content-center">
			<h3 class="affiliate-box-title type-title"><?php esc_html_e( 'Campaign Console', Auto_Affiliate::DOMAIN ); ?></h3>
		</div>

        <div class="affiliate-box-body affiliate-campaign-popup-body">
        </div>

        <div class="affiliate-box-footer affiliate-box-footer-center">
          <button type="button" class="affiliate-button affiliate-run-campaign-button">
              <span class="affiliate-loading-text"><?php esc_html_e( 'Run', Auto_Affiliate::DOMAIN ); ?></span>
          </button>
        </div>

		<img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/affiliate.png'); ?>" class="affiliate-image affiliate-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Affiliate', Auto_Affiliate::DOMAIN ); ?>">
</div>
