<?php
$post_types = get_post_types(array('public' => true));
// Select categories arguments
$args = array (
	'orderby' => 'name',
	'order' => 'ASC',
	'hide_empty' => 0
);

$parent_categories = array ();
$child_categories = array ();

// Get all post categories
foreach ( $post_types as $post_type ) {

	// Get categories taxonomies
	$post_taxonomies = get_object_taxonomies ( $post_type );


	if (count ( $post_taxonomies ) > 0) {
		foreach ( $post_taxonomies as $tax ) {

			// check if category list it's items
			if (is_taxonomy_hierarchical ( $tax )) {

				$args = array (
					'hide_empty' => 0,
					'taxonomy' => $tax,
					'type' => $post_type
				);

				$categories = get_categories ( $args );

				// function to display categories

				// Get parent categories
				foreach ( $categories as $category ) {

					if ($category->parent == 0) {
                        $parent_categories [] = $category;
					} else {
                        $child_categories [$category->parent] [] = $category;
					}
				}

			}
		}
	}
}
// Get all post tags
$tags = get_tags(array('get'=>'all'));

// Initial post category
$affiliate_post_category = isset($settings['affiliate-post-category']) ? $settings['affiliate-post-category'] : array();
$affiliate_post_tag = isset($settings['affiliate-post-tag']) ? $settings['affiliate-post-tag'] : array();
?>
<div id="category" class="affiliate-box-tab" data-nav="category" >

	<div class="affiliate-box-header">
		<h2 class="affiliate-box-title"><?php esc_html_e( 'Categories & Tags', Auto_Affiliate::DOMAIN ); ?></h2>
	</div>

    <div class="affiliate-box-body">
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Categories', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Select post categories.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">

                <label class="affiliate-settings-label"><?php esc_html_e( 'Categories', Auto_Affiliate::DOMAIN ); ?></label>

                <span class="affiliate-description"><?php esc_html_e( 'Select your campaign post categories.', Auto_Affiliate::DOMAIN ); ?></span>

                <select class="affiliate-category-multi-select" multiple="true">
                    <?php
                    foreach ( $parent_categories as $parent_category ) {
                        auto_affiliate_display_category( $parent_category, $child_categories, $affiliate_post_category);
                    }
                    ?>
                </select>


            </div>
        </div>

        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Tags', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Select post tags.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">

                <label class="affiliate-settings-label"><?php esc_html_e( 'Tags', Auto_Affiliate::DOMAIN ); ?></label>

                <span class="affiliate-description"><?php esc_html_e( 'Select your post tags.', Auto_Affiliate::DOMAIN ); ?></span>

                <select class="affiliate-tag-multi-select" multiple="true">
                    <?php
                    foreach ( $tags as $tag ) {
                        auto_affiliate_display_tag($tag, $affiliate_post_tag);
                    }
                    ?>
                </select>


            </div>
        </div>

   </div>

</div>
