<?php
$main_post_template = isset($settings['affiliate_youtube_main_post_content']) ? $settings['affiliate_youtube_main_post_content']  : '{{video_embed}}';
$before_post_template = isset($settings['affiliate_before_post_content']) ? $settings['affiliate_before_post_content']  : '';
$after_post_template = isset($settings['affiliate_after_post_content']) ? $settings['affiliate_after_post_content']  : '';
$source = isset( $_GET['source'] ) ? sanitize_text_field( $_GET['source'] ) : 'dashboard';
?>
<div id="post-content" class="affiliate-box-tab" data-nav="post-content" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Post Template & Words Limits', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <div class="affiliate-box-body">
        <?php
            if($source === 'youtube'){
        ?>
                <div class="affiliate-box-settings-row">
                    <div class="affiliate-box-settings-col-1">
                        <span class="affiliate-settings-label"><?php esc_html_e( 'Post Content Template', Auto_Affiliate::DOMAIN ); ?></span>
                    </div>
                    <div class="affiliate-box-settings-col-2">
                        <label class="affiliate-settings-label"><?php esc_html_e( 'Your Post Content Template', Auto_Affiliate::DOMAIN ); ?></label>
                        <span class="affiliate-description"><?php esc_html_e( 'You can use the following shortcode to insert youtube video elements in your post content.', Auto_Affiliate::DOMAIN ); ?></span>
                        <div class="select-container">
                    <span class="dropdown-handle" aria-hidden="true">
                        <ion-icon name="chevron-down" class="affiliate-icon-down"></ion-icon>
                    </span>
                            <a class="button_add_field dashicons dashicons-plus-alt" title="<?php _e("Add", Auto_Affiliate::DOMAIN) ?>"></a>
                            <div class="select-list-container">
                                <button type="button" class="list-value" id="affiliate-field-shortcode-button" value="{{video_embed}}">
                                    <?php
                                    esc_html_e( '{{video_embed}}', Auto_Affiliate::DOMAIN );
                                    ?>
                                </button>
                                <ul tabindex="-1" role="listbox" class="list-results affiliate-sidenav-hide-md" >
                                    <li><?php esc_html_e( '{{video_embed}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_key}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_url}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_title}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_description}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_duration}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_views}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_favorites}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_likes}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_dislikes}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_comments}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{video_publishedAt}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{thumbnail_maxres_url}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{thumbnail_high_url}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{thumbnail_medium_url}}', Auto_Affiliate::DOMAIN ); ?></li>
                                    <li><?php esc_html_e( '{{thumbnail_default_url}}', Auto_Affiliate::DOMAIN ); ?></li>
                                </ul>
                            </div>
                        </div>
                        <div class="affiliate-form-field">
                            <textarea class="affiliate-form-control" id="affiliate-main-post-template" rows="5" cols="20" name="affiliate_youtube_main_post_content" required="required"><?php echo esc_html($main_post_template); ?></textarea>
                        </div>
                    </div>
                </div>
        <?php
            }
        ?>
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Before Post Content', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">
                <label class="affiliate-settings-label"><?php esc_html_e( 'Your Content Before Post', Auto_Affiliate::DOMAIN ); ?></label>
                <span class="affiliate-description"><?php esc_html_e( 'Insert any of your ads, html content before the source post.', Auto_Affiliate::DOMAIN ); ?></span>
                <div class="affiliate-form-field">
                    <textarea class="affiliate-form-control" id="affiliate-before-post-template" rows="5" cols="20" name="affiliate_before_post_content" required="required"><?php echo esc_html($before_post_template); ?></textarea>
                </div>
            </div>
        </div>
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'After Post Content', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">
                <label class="affiliate-settings-label"><?php esc_html_e( 'Your Content After Post', Auto_Affiliate::DOMAIN ); ?></label>
                <span class="affiliate-description"><?php esc_html_e( 'Insert any of your ads, html content after the source post.', Auto_Affiliate::DOMAIN ); ?></span>
                <div class="affiliate-form-field">
                    <textarea class="affiliate-form-control" id="affiliate-after-post-template" rows="5" cols="20" name="affiliate_after_post_content" required="required"><?php echo esc_html($after_post_template); ?></textarea>
                </div>
            </div>
        </div>
        <?php if($source === 'rss') :?>
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Words Limit', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">
                <label class="affiliate-settings-label"><?php esc_html_e( 'Your Content Words Limit', Auto_Affiliate::DOMAIN ); ?></label>
                <span class="affiliate-description"><?php esc_html_e( 'Set your source post content words limit here.', Auto_Affiliate::DOMAIN ); ?></span>
                <div>
                    <input
                        type="text"
                        name="affiliate_words_limit"
                        placeholder="<?php esc_html_e( 'Leave this field blank if no words limit', Auto_Affiliate::DOMAIN ); ?>"
                        value="<?php if(isset($settings['affiliate_words_limit'])){echo $settings['affiliate_words_limit'];}?>"
                        id="affiliate_words_limit"
                        class="affiliate-form-control"
                        aria-labelledby="affiliate_words_limit"
                    />
                </div>
            </div>
        </div>
        <?php endif; ?>
    </div>

</div>


