<?php
$current_addon_data = auto_affiliate_get_addon_data('instagram');
?>
<div class="affiliate-box" role="document">

    <div class="affiliate-box-header affiliate-block-content-center">

        <div class="affiliate-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/instagram-sketched.png'); ?>" alt="<?php esc_attr_e( 'Instagram SessionID', Auto_Affiliate::DOMAIN ); ?>">

        </div>

        <div class="affiliate-box-content integration-header">

            <h3 class="affiliate-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Instagram SessionID', Auto_Affiliate::DOMAIN ); ?></h3>

			<span class="affiliate-description">
                <?php esc_html_e( 'Setup Instagram SessionID to be used by Auto Instagram to display feeds on your blog.', Auto_Affiliate::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="affiliate-box-body">
        <form class="affiliate-integration-form" method="post" name="affiliate-integration-form" action="">

            <div class="affiliate-form-field">
                <label class="affiliate-label"><?php esc_html_e( 'Session ID', Auto_Affiliate::DOMAIN ); ?></label>
                <div class="affiliate-control-with-icon">
                    <ion-icon class="affiliate-icon-key" name="key"></ion-icon>
                    <input name="session_id" placeholder="<?php esc_html_e( 'Session ID', Auto_Affiliate::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['session_id'])){echo $current_addon_data['session_id'];}?>" class="affiliate-form-control">
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('instagram');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >

            <div class="affiliate-border-frame affiliate-description">

                <span>
                    <?php
                    printf(
                        esc_html__( 'Follow %1$s your Instagram SessionID.', Auto_Affiliate::DOMAIN ),
                        '<a href="https://wpautoaffiliate.com/document/api-settings/how-to-setup-instagram-api-settings/">these instructions to retrieve</a>'
                    );
                    ?>
                </span>

            </div>

        </form>

    </div>

    <div class="affiliate-box-footer affiliate-box-footer-center">
        <button type="button" class="affiliate-button affiliate-addon-connect">
            <span class="affiliate-loading-text"><?php esc_html_e( 'Connect', Auto_Affiliate::DOMAIN ); ?></span>
        </button>
    </div>

</div>