<?php
$addons = auto_affiliate_get_addons();
?>
<div id="affiliate-apps" class="affiliate-box-tab active">

    <div class="affiliate-box">

        <div class="affiliate-box-header">

            <h2 class="affiliate-box-title">
                <?php esc_html_e( 'Your API Settings', Auto_Affiliate::DOMAIN ); ?>
            </h2>

        </div>

        <div id="affiliate-integrations-page" class="affiliate-box-body">
            <p>
                <?php esc_html_e( 'Auto Affiliate integrates with your favorite third party apps. You can connect to the available apps via their API here and activate them to collect data from third party apps.', Auto_Affiliate::DOMAIN ); ?>
            </p>

            <div class="affiliate-integrations-block">

                <span class="affiliate-table-title"><?php esc_html_e( 'Connected Apps', Auto_Affiliate::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['connected'] ) ) {
                ?>

                <table class="affiliate-table affiliate-table--apps">
                    <tbody>
                    <?php foreach ( $addons['connected'] as $key => $provider ) : ?>

                    <tr class="affiliate-integration-enabled">
                        <td class="affiliate-table-item-title">
                            <div class="affiliate-app--wrapper">
                                <img src="<?php echo esc_attr($provider['icon_url']); ?>" alt="<?php echo esc_attr($provider['name']); ?>" class="affiliate-addon-image" aria-hidden="true">
                                <span><?php echo esc_html($provider['name']); ?></span>
                                <a href="#integration-popup" class="affiliate-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                <button class="affiliate-button-icon affiliate-tooltip affiliate-tooltip-top-right connect-integration">
                                    <ion-icon name="settings-outline"></ion-icon>
                                    <span class="affiliate-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Affiliate::DOMAIN ); ?></span>
                                </button>
                                </a>
                            </div>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>

                <?php } else { ?>

                    <div class="affiliate-notice affiliate-notice-info">
                        <p><?php esc_html_e( 'You are not connected to any third party apps. You can connect to the available apps listed below and activate them in your modules to collect data.', Auto_Affiliate::DOMAIN ); ?></p>
                    </div>

                <?php } ?>

                <span class="affiliate-description">
                    <?php esc_html_e( 'To activate any of these to collect data, click the following app name and add the API settings data.', Auto_Affiliate::DOMAIN ); ?>
                </span>

            </div>

            <div class="affiliate-integrations-block">

                <span class="affiliate-table-title"><?php esc_html_e( 'Available Apps', Auto_Affiliate::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['not_connected'] ) ) {
                ?>

                <table class="affiliate-table affiliate-table--apps">
                    <tbody>
                    <?php foreach ( $addons['not_connected'] as $key => $provider ) : ?>
                        <tr>
                            <td class="affiliate-table-item-title">
                                <div class="affiliate-app--wrapper">
                                    <img src="<?php echo esc_attr($provider['icon_url']); ?>"  alt="<?php echo esc_attr($provider['name']); ?>" class="affiliate-addon-image" aria-hidden="true">
                                    <span><?php echo esc_html($provider['name']); ?></span>
                                    <a href="#integration-popup" class="affiliate-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                        <button class="affiliate-button-icon affiliate-tooltip affiliate-tooltip-top-right" >
                                        <ion-icon name="add"></ion-icon>
                                        <span class="affiliate-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Affiliate::DOMAIN ); ?></span>
                                    </button>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>


                <?php
                    }
                ?>

            </div>
        </div>

    </div>

    <!-- Integration Popup -->
    <div id="integration-popup" class="white-popup mfp-with-anim mfp-hide">
    </div>

</div>