<?php
$license_activated = get_option( 'auto_affiliate_license_activated');
if ( !empty($license_activated) && $license_activated == '102' ) {
    $license_status = 'activated';
    $license_action = 'deactive';
    $license_action_text = 'DEACTIVATE';
    $license_code = get_option('auto_affiliate_license_code');
}else{
    $license_status = 'inactivated';
    $license_action = 'active';
    $license_action_text = 'ACTIVATE NOW';
}
?>
<div class="page-container header-license">
	<div class="page-content">
		<div class="row row-custom">
			<div class="affiliate-license-text">
					<h2><?php echo esc_attr( __( 'Auto Affiliate', Auto_Affiliate::DOMAIN ) ); ?></h2>
                    <p class="version">
                        <?php
                            printf(
                                esc_html__( 'v%1$s', Auto_Affiliate::DOMAIN ),
                                AUTO_AFFILIATE_VERSION
                            );
                        ?>
                    </p>
                    <p class="status">
                    <strong>
                        <?php
                            printf(
                                esc_html__( 'License Status: %1$s', Auto_Affiliate::DOMAIN ),
                                $license_status
                            );
                        ?>
                    </strong>
                    </p>
                    <div class="affiliate-license-key-wrapper">
                    <form method="post" name="affiliate-license-form" class="affiliate-license-form">
                        <?php if($license_status == 'inactivated') : ?>
                        <input
                            type="text"
                            name="affiliate_license_key"
                            placeholder="<?php esc_html_e( 'Enter your license key here', Auto_Affiliate::DOMAIN ); ?>"
                            value=""
                            id="affiliate_license_key"
                            class="affiliate-form-control affiliate-license-key"
                        />
                        <?php endif; ?>
                        <?php if($license_status == 'activated') : ?>
                        <input type="hidden" name="affiliate_license_key" value="<?php echo esc_attr( $license_code ); ?>">
                        <?php endif; ?>
                        <input type="hidden" name="type" value="<?php echo esc_attr( $license_action ); ?>">
                    </form>
                    </div>
                    <div class="affiliate-license-action">
                        <button class="affiliate-button affiliate-button-blue affiliate-trigger-license-action">
                            <?php _e( $license_action_text ); ?>
                        </button>
                    </div>
                    <div class="affiliate-license-verify-message">
                    </div>
			</div>
		</div>
	</div>
</div>
