<?php
$currenciesArray = auto_affiliate_currencies();
$formart = auto_affiliate_deeplink_formart($product['orig_url'], $product['orig_url']);
$parsed_url = auto_affiliate_deeplink_parse($product['orig_url'], $formart);
$productDomain = TemplateHelper::getHostName($product['orig_url']);
?>
<div class="egg-container egg-item">
        <div class="products">
            <div class="row">
                <div class="col-md-6 text-center cegg-image-container cegg-mb20">
                    <a rel="nofollow" target="_blank" href="<?php echo esc_attr($parsed_url);?>">
                        <img src="<?php echo esc_attr($product['orig_img']);?>" alt="<?php echo esc_attr($product['title']);?>">
                    </a>
                </div>
                <div class="col-md-6">
                    <div class="cegg-price-row">
                        <span class="cegg-price cegg-price-color">
                            <span class="cegg-currency"><?php echo esc_html($currenciesArray[$product['currency']]['currency_symbol']);?></span><?php echo esc_attr($product['price']);?>
                        </span>
                    </div>

                    <div class="cegg-btn-row cegg-mb20">
                        <a rel="nofollow" target="_blank" href="<?php echo esc_attr($parsed_url);?>" class="btn btn-danger cegg-btn-big cegg-mb5"><?php esc_html_e( 'Buy Now', Auto_Affiliate::DOMAIN ); ?></a>
                        <br>
                        <img src="<?php echo esc_attr(TemplateHelper::getMerhantIconUrl($productDomain)); ?>" /> <small><?php echo esc_html($productDomain); ?></small>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="cegg-mb25">

                        <?php if (!empty($product['extra']['features'])): ?>
                            <div class="cegg-features-box">
                                <h4 class="cegg-no-top-margin"><?php _e('Features', Auto_Affiliate::DOMAIN); ?></h4>
                                <ul class="cegg-feature-list">
                                    <?php foreach ($product['extra']['features'] as $feature): ?>
                                        <li><strong><?php echo esc_html($feature['name']) ?></strong>: <?php echo esc_html($feature['value']) ?></li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                        <?php endif; ?>

                        <?php if ($product['description']): ?>
                            <h4 class="cegg-no-top-margin"><?php _e('Description', Auto_Affiliate::DOMAIN); ?></h4>
                            <p><?php echo $product['description']; ?></p>
                        <?php endif; ?>

                        <?php if (!empty($product['extra']['comments'])): ?>
                            <h4><?php _e('User reviews', Auto_Affiliate::DOMAIN); ?></h4>
                            <?php foreach ($product['extra']['comments'] as $key => $comment): ?>
                                <div class="cegg-review-block">
                                    <blockquote>
                                        <?php if (!empty($comment['rating'])): ?>
                                            <span class="rating_small">
                                                <?php echo str_repeat("<span>★</span>", (int) $comment['rating']); ?><?php echo str_repeat("<span>☆</span>", 5 - (int) $comment['rating']); ?>
                                            </span>
                                        <?php endif; ?>
                                        <?php echo esc_html($comment['comment']); ?>
                                    </blockquote>
                                </div>
                            <?php endforeach; ?>
                            <p class="text-right">
                                <br>
                                <a class="btn btn-info" rel="nofollow" target="_blank" href="<?php echo esc_url($product['url']) ?>"><?php _e('View all reviews', Auto_Affiliate::DOMAIN); ?></a>
                            </p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

    </div>