<?php
$settings = get_option('auto_affiliate_global_settings');
$nonce = wp_create_nonce( 'affiliate_save_global_settings' );
$affiliate_campaign_per_page = isset($settings['affiliate-campaign-per-page']) ? $settings['affiliate-campaign-per-page'] : 10;
?>
<div id="notifications" class="affiliate-box-tab" data-nav="notifications" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Email Notifications', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <form class="affiliate-settings-form" method="post" action="">

    <div class="affiliate-box-body">
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Campaigns Report', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Choose the frequency of campaigns running report.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>

            <div class="affiliate-box-settings-col-2">
                <div class="range-slider">
                    <input class="range-slider__range" type="range" value="<?php if(isset($settings['update_frequency'])){echo $settings['update_frequency'];}else{echo esc_html('100');}?>" min="0" max="500">
                    <span class="range-slider__value">7</span>
                </div>

                <span class="affiliate-description"><?php esc_html_e( 'Time Unit', Auto_Affiliate::DOMAIN ); ?></span>

                <div class="select-container">
                    <span class="dropdown-handle" aria-hidden="true">
                        <ion-icon name="chevron-down" class="affiliate-icon-down"></ion-icon>
                    </span>
                    <div class="select-list-container">
                        <button type="button" class="list-value" id="affiliate-field-unit-button" value="Minutes">
                            <?php
                            if(isset($settings['update_frequency_unit'])){
                                echo $settings['update_frequency_unit'];
                            }else{
                                esc_html_e( 'Days', Auto_Affiliate::DOMAIN );
                            }
                            ?>
                        </button>
                    <ul tabindex="-1" role="listbox" class="list-results affiliate-sidenav-hide-md" >
                        <li><?php esc_html_e( 'Minutes', Auto_Affiliate::DOMAIN ); ?></li>
                        <li><?php esc_html_e( 'Hours', Auto_Affiliate::DOMAIN ); ?></li>
                        <li><?php esc_html_e( 'Days', Auto_Affiliate::DOMAIN ); ?></li>
                    </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="affiliate-box-footer">

        <div class="affiliate-actions-right">

            <button class="affiliate-save-settings affiliate-button affiliate-button-blue" type="button">
                <span class="affiliate-loading-text"><?php esc_html_e( 'Save Settings', Auto_Affiliate::DOMAIN ); ?></span>
            </button>

        </div>

    </div>

    </form>



</div>


