<?php
$currency = array(
    "aed" => "AED (United Arab Emirates)",
    "aud" => "AUD (Australia)",
    "egp" => "EGP (Egypt)",
    "eur" => "EUR (European Union)",
    "gbp" => "GBP (United Kingdom)",
    "inr" => "INR (India)",
    "kes" => "KES (Kenya)",
    "krw" => "KRW (Korean)",
    "ngn" => "NGN (Nigeria)",
    "uah" => "UAH (Ukraine)",
    "ugx" => "UGX (Uganda)",
    "usd" => "USD (United States)",
    "vnd" => "VND (Vietnam)",
);

$types = array(
    "rss" => "RSS Feed",
    "youtube" => "Youtube",
    "vimeo" => "Vimeo",
    "flickr" => "Flickr",
    "twitter" => "Twitter"
);

$authors = get_users();

?>
<div class="wrap" id="affiliate-welcome-wrap">
    <form id="affiliate-generate-campaign-form">
        <section class="cd-slider-wrapper">
            <ul class="cd-slider">
                <li class="affiliate-slide visible affiliate-first-slide">
                    <div>
                        <img class="affiliate-logo-big" src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/affiliate.png'); ?>">
                        <p>
                        <?php
                            printf(
                                esc_html__( 'Thank you for choosing Auto Affiliate %1$s, the most intuitive and extensible tool to generate WordPress posts from more than 100 supported best local shops
                                and make you can build a successful affiliate website within minutes! - %2$s', Auto_Affiliate::DOMAIN ),
                                AUTO_AFFILIATE_VERSION,
				                '<a href="https://wpautoaffiliate.com" class="affiliate-welcome-homepage" target="_blank">Visit Plugin Homepage</a>'
                            );
                        ?>
                        </p>
                        <p>
                        <?php _e('In this short tutorial we will guide you through some of the basic settings to get the most out of our plugin. ', Auto_Affiliate::DOMAIN); ?>
                        </p>
                    </div>

                </li>

                <li class="affiliate-slide affiliate-slide-campaign-name">
                    <div>
                        <h2><?php _e('Campaign Name', Auto_Affiliate::DOMAIN); ?></h2>
                        <p><?php _e("Name your new campaign, then let's start auto blogging!", Auto_Affiliate::DOMAIN); ?></p>
                        <input
                            type="text"
                            name="affiliate_campaign_name"
                            placeholder="<?php esc_html_e( 'Enter your Campaign Name here', Auto_Affiliate::DOMAIN ); ?>"
                            value=""
                            class="affiliate_campaign_name"
                            aria-labelledby="affiliate_campaign_name"
                        />
                        <span class="affiliate-error-message-name" style="display: none;"><?php _e("Form name cannot be empty.", Auto_Affiliate::DOMAIN); ?></span>
                    </div>
                </li>

                <li class="affiliate-slide">
                    <div>
                        <h2><?php _e('Currency and Location', Auto_Affiliate::DOMAIN); ?></h2>
                        <p><?php _e('Choose your affiliate campaign currency for new campaign. You can select only one currency for each campaign', Auto_Affiliate::DOMAIN); ?></p>
                        <span class="dropdown-el affiliate-init-language-selector">
                            <?php foreach ( $currency as $key => $value ) : ?>
                                <input type="radio" name="affiliate_init_language" value="<?php echo esc_attr( $key ); ?>" <?php if($key == 'usd'){echo 'checked="checked"';} ?> id="<?php echo esc_attr( $key ); ?>">
                                <label for="<?php echo esc_attr( $key ); ?>"><?php echo esc_html( $value ); ?></label>
                            <?php endforeach; ?>
                        </span>
                    </div>
                </li>

                <li class="affiliate-slide affiliate-slide-campaign-type">
                    <div>
                        <h2><?php _e('Affiliate Website', Auto_Affiliate::DOMAIN); ?></h2>
                        <p><?php _e('Choose your new campaign affiliate website. You can select only one website for each campaign', Auto_Affiliate::DOMAIN); ?></p>
                        <span class="dropdown-el affiliate-init-type-selector">
                            <script type="text/template" id="tmpl-affiliate-websites-list">
                                    <# if ( data.length ) { #>
                                        <# for ( key in data ) { #>
                                            <input type="radio"
                                             name="affiliate_init_type"
                                              value="{{{ data[ key ] }}}"
                                                <# if ( key == 0 ) { #>
                                                  checked
                                                <# } #>
                                               id="{{{ key }}}">
                                            <label for="{{{ key }}}">{{{ data[ key ] }}}</label>
                                        <# } #>
                                        <# } else { #>
                                            <p class="no-source">
                                                <?php esc_html_e( 'No source suggestions.', 'auto-affiliate' ); ?>
                                            </p>
                                        <# } #>
                            </script>
                        </span>
                    </div>
                </li>

                <li class="affiliate-slide affiliate-catalog-slide">
                    <div>
                        <h2><?php _e('Catalog URL', Auto_Affiliate::DOMAIN); ?></h2>
                        <p><?php _e('Choose which Catalog URL you\'d like to use as the product source of your campaign.', Auto_Affiliate::DOMAIN); ?></p>
                        <div id="affiliate-tags-wrap">
                            <div class="input">
                                <div class="tags"></div>
                                <input type="text" name="affiliate_catalog_url" autofocus id="affiliate-search" placeholder="<?php esc_attr_e('Enter the catalog url here', Auto_Affiliate::DOMAIN) ?>" value="">
                            </div>
                        </div>
                        <span class="affiliate-error-message-catalog" style="display: none;"><?php _e("Catalog url cannot be empty.", Auto_Affiliate::DOMAIN); ?></span>
                    </div>
                </li>

                <li class="affiliate-slide affiliate-last-slide">
                    <div>
                        <svg style="margin-bottom: 25px;" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 48 48" xml:space="preserve" width="64" height="64"><g class="nc-icon-wrapper"><path fill="#FFD764" d="M24,47C11.31738,47,1,36.68213,1,24S11.31738,1,24,1s23,10.31787,23,23S36.68262,47,24,47z"></path> <path fill="#444444" d="M17,19c-0.55273,0-1-0.44775-1-1c0-1.10303-0.89746-2-2-2s-2,0.89697-2,2c0,0.55225-0.44727,1-1,1 s-1-0.44775-1-1c0-2.20557,1.79395-4,4-4s4,1.79443,4,4C18,18.55225,17.55273,19,17,19z"></path> <path fill="#444444" d="M37,19c-0.55273,0-1-0.44775-1-1c0-1.10303-0.89746-2-2-2s-2,0.89697-2,2c0,0.55225-0.44727,1-1,1 s-1-0.44775-1-1c0-2.20557,1.79395-4,4-4s4,1.79443,4,4C38,18.55225,37.55273,19,37,19z"></path> <path fill="#FFFFFF" d="M35.6051,32C35.85382,31.03912,36,30.03748,36,29c0-0.55225-0.44727-1-1-1H13c-0.55273,0-1,0.44775-1,1 c0,1.03748,0.14618,2.03912,0.3949,3H35.6051z"></path> <path fill="#AE453E" d="M12.3949,32c1.33734,5.16699,6.02551,9,11.6051,9s10.26776-3.83301,11.6051-9H12.3949z"></path> <path fill="#FA645A" d="M18.01404,39.38495C19.77832,40.40594,21.81903,41,24,41s4.22168-0.59406,5.98596-1.61505 C28.75952,37.35876,26.54126,36,24,36S19.24048,37.35876,18.01404,39.38495z"></path></g></svg>
                        <h2><?php _e('Hooooray!', Auto_Affiliate::DOMAIN); ?></h2>
                        <p><?php _e('You\'re now ready to begin using Auto Affiliate! Please click the following button to generate your campaign', Auto_Affiliate::DOMAIN); ?></p>
                        <p><a href="<?php echo admin_url('admin.php?page=auto-affiliate') ?>" class="affiliate-welcome-link-button affiliate-generate-campaign"><?php _e('Generate your campaign', Auto_Affiliate::DOMAIN); ?></a></p>
                </li>
            </ul> <!-- .cd-slider -->

            <div class="cd-slider-navigation">
                <a class="affiliate-welcome-prev" style="display: none" href="#"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 24 24" xml:space="preserve" width="16" height="16"><g class="nc-icon-wrapper" fill="#ffffff"><path fill="#ffffff" d="M17,23.414L6.293,12.707c-0.391-0.391-0.391-1.023,0-1.414L17,0.586L18.414,2l-10,10l10,10L17,23.414z"></path></g></svg><?php _e('Previous', Auto_Affiliate::DOMAIN); ?></a>
                <a class="affiliate-welcome-next" href="#"><?php _e('Next', Auto_Affiliate::DOMAIN); ?><svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 24 24" xml:space="preserve" width="16" height="16"><g class="nc-icon-wrapper" fill="#ffffff"><path fill="#ffffff" d="M7,23.414L5.586,22l10-10l-10-10L7,0.586l10.707,10.707c0.391,0.391,0.391,1.023,0,1.414L7,23.414z"></path></g></svg></a>
            </div>

            <div class="cd-svg-cover" data-step1="M1402,800h-2V0.6c0-0.3,0-0.3,0-0.6h2v294V800z" data-step2="M1400,800H383L770.7,0.6c0.2-0.3,0.5-0.6,0.9-0.6H1400v294V800z" data-step3="M1400,800H0V0.6C0,0.4,0,0.3,0,0h1400v294V800z" data-step4="M615,800H0V0.6C0,0.4,0,0.3,0,0h615L393,312L615,800z" data-step5="M0,800h-2V0.6C-2,0.4-2,0.3-2,0h2v312V800z" data-step6="M-2,800h2L0,0.6C0,0.3,0,0.3,0,0l-2,0v294V800z" data-step7="M0,800h1017L629.3,0.6c-0.2-0.3-0.5-0.6-0.9-0.6L0,0l0,294L0,800z" data-step8="M0,800h1400V0.6c0-0.2,0-0.3,0-0.6L0,0l0,294L0,800z" data-step9="M785,800h615V0.6c0-0.2,0-0.3,0-0.6L785,0l222,312L785,800z" data-step10="M1400,800h2V0.6c0-0.2,0-0.3,0-0.6l-2,0v312V800z">
                <svg height='100%' width="100%" preserveAspectRatio="none" viewBox="0 0 1400 800">
                <title><?php _e('SVG cover layer', Auto_Affiliate::DOMAIN); ?></title>
                <desc><?php _e('an animated layer to switch from one slide to the next one', Auto_Affiliate::DOMAIN); ?></desc>
                <path id="cd-changing-path" d="M1402,800h-2V0.6c0-0.3,0-0.3,0-0.6h2v294V800z"/>
                </svg>
            </div>  <!-- .cd-svg-cover -->
        </section> <!-- .cd-slider-wrapper -->
        <input type="hidden" value="<?php esc_html_e( $authors[0]->data->user_login ); ?>" name="affiliate_post_author">
    </form>
</div>