(function($){

    "use strict";

    var AutoAffiliateWizard = {

        init: function()
        {
            // Document ready.
            this._bind();
        },

        /**
         * Binds events for the Auto Affiliate Wizard.
         *
         * @since 1.0.0
         * @access private
         * @method _bind
         */
        _bind: function()
        {

            $( document ).on('click', '.affiliate-wizard-permissions', AutoAffiliateWizard._showPermission );
            $( document ).on('click', '.affiliate-wizard-opt-in', AutoAffiliateWizard._optIn );
            $( document ).on('click', '.affiliate-wizard-skip', AutoAffiliateWizard._skip );

        },

        /**
         * Show permission details
         *
         */
        _showPermission: function( event ) {

            event.preventDefault();

            if ($("#affiliate_wizard_set_up").hasClass("wizard-set-up")){
				$("#affiliate_wizard_set_up").css("display", "none");
				$("#affiliate_wizard_set_up").removeClass("wizard-set-up");
			}else{
				$("#affiliate_wizard_set_up").css("display", "block");
				$("#affiliate_wizard_set_up").addClass("wizard-set-up");
			}
        },

        /**
         * Opt-in
         *
         */
        _optIn: function( event ) {

            event.preventDefault();

            console.log('click opt in');

            $.ajax({
                    url  : Auto_Affiliate_Data.ajaxurl,
                    type : 'POST',
                    dataType: 'json',
                    data : {
                        action       : 'auto_affiliate_save_user_data',
                        type         : 'opt-in',
                        _ajax_nonce  : Auto_Affiliate_Data._ajax_nonce,
                    },
                    beforeSend: function() {
                    },
                })
                .fail(function( jqXHR ){
                    console.log( jqXHR.status + ' ' + jqXHR.responseText);
                    window.location.href = "admin.php?page=auto-affiliate";
                })
                .done(function ( option ) {
                    if( false === option.success ) {
                        console.log(option);
                    } else {
                        console.log(option);
                        window.location.href = "admin.php?page=auto-affiliate";
                    }

                });

        },

        /**
         * Skip opt in
         *
         */
        _skip: function( event ) {

            event.preventDefault();

            console.log('click skip.');

            $.ajax({
                url  : Auto_Affiliate_Data.ajaxurl,
                type : 'POST',
                dataType: 'json',
                data : {
                    action       : 'auto_affiliate_save_user_data',
                    type         : 'skip',
                    _ajax_nonce  : Auto_Affiliate_Data._ajax_nonce,
                },
                beforeSend: function() {
                },
            })
            .fail(function( jqXHR ){
                console.log( jqXHR.status + ' ' + jqXHR.responseText);
            })
            .done(function ( option ) {
                if( false === option.success ) {
                    console.log(option);
                } else {
                    console.log(option);
                    window.location.href = "admin.php?page=auto-affiliate";
                }

            });

        },

    };

    /**
     * Initialize AutoAffiliateWizard
     */
    $(function(){
        AutoAffiliateWizard.init();
    });

})(jQuery);
