<?php

defined('\ABSPATH') || exit;

/**
 * NeweggcomParser class file
 *
 */
class NeweggcomParser extends LdShopParser {

    protected $charset = 'utf-8';
    protected $currency = 'USD';

    public function parseCatalog($max)
    {
        return $this->xpathArray(array(".//*[@class='items-view is-grid']//a[@class='item-title']/@href", ".//div[@class='item-info']/a/@href"));
    }

    public function parseTitle()
    {
        if ($p = parent::parseTitle())
            return $p;

        return str_replace('- Newegg.com', '', $this->xpathScalar(".//title"));
    }

    public function parsePrice()
    {
        /*
          if (preg_match('/"OriginalUnitPrice":(.+?),/', $this->dom->saveHTML(), $matches))
          return $matches[1] * 270;
         */

        if ($p = parent::parsePrice())
            return $p;
        else
            return $this->xpathScalar(".//li[@class='price-current']");
    }

    public function parseOldPrice()
    {
        return $this->xpathScalar(".//ul[@class='price']//span[@class='price-was-data']");
    }

    public function parseImg()
    {
        if ($p = $this->xpathScalar(".//img[@class='product-view-img-original']/@src"))
            return $p;

        if ($img = $this->xpathScalar(".//meta[@property='og:image']/@content"))
            return $img;

        $img = $this->xpathScalar(".//a[@id='A2']//img/@src");
        if (!$img)
        {
            $img = $this->xpathScalar(".//*[@id='synopsis']//ul[@class='navThumbs']/li[position() = 1]//img/@src");
            $img = str_replace('/ProductImageCompressAll35/', '/ProductImage/', $img);
        }
        $img = str_replace('//images', 'https://images', $img);
        return $img;
    }

    public function getFeaturesXpath()
    {
        return array(
            array(
                'name' => ".//div[@id='Specs']//dt",
                'value' => ".//div[@id='Specs']//dd",
            ),
            array(
                'name' => ".//div[@id='product-details']//div[@class='tab-pane']//th",
                'value' => ".//div[@id='product-details']//div[@class='tab-pane']//td",
            ),
        );
    }

    public function isInStock()
    {
        if (!$this->parsePrice())
            return false;
        else
            return true;
    }

}
